#include "font_manager.h"

namespace Halley {
	shared_ptr<ResourceManager<FontFile> > ResourceManager<FontFile>::manager;

	FontManager::FontManager(String basePath)
		: ResourceManager(basePath)
	{
	}

	shared_ptr<FontFile> FontManager::load(String name) {
		return shared_ptr<FontFile>(new FontFile(name));
	}
}
